t] = ...) -> None: ...
    def getcwd(self) -> Optional[Text]: ...
    def putfo(
        self,
        fl: IO[bytes],
        remotepath: Union[bytes, Text],
        file_size: int = ...,
        callback: Optional[_Callback] = ...,
        confirm: bool = ...,
    ) -> SFTPAttributes: ...
    def put(
        self,
        localpath: Union[bytes, Text],
        remotepath: Union[bytes, Text],
        callback: Optional[_Callback] = ...,
        confirm: bool = ...,
    ) -> SFTPAttributes: ...
    def getfo(self, remotepath: Union[bytes, Text], fl: IO[bytes], callback: Optional[_Callback] = ...) -> int: ...
    def get(self, remotepath: Union[bytes, Text], localpath: Union[bytes, Text], callback: Optional[_Callback] = ...) -> None: ...

class SFTP(SFTPClient): ...
PK